## org.apache.cassandra.utils
Class GuidGenerator

    java.lang.Object
      org.apache.cassandra.utils.GuidGenerator

    public class GuidGenerator

extends java.lang.Object

Constructor Summary
`GuidGenerator()`

Method Summary
`static java.lang.String` `guid()`
`static byte[]` `guidAsBytes()`
`static java.lang.String` `guidToString(byte[] bytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuidGenerator

    public GuidGenerator()

Method Detail

### guid

    public static java.lang.String guid()

### guidToString

    public static java.lang.String guidToString(byte[] bytes)

### guidAsBytes

    public static byte[] guidAsBytes()

Copyright © 2010 The Apache Software Foundation